Class | Rake::FtpFile
In: | lib/rake/contrib/ftptools.rb
Parent: | Object

Note: Not released for general use.

### Methods

date directory? mode new path symlink? time

### Attributes

group | [R] |
name | [R] |
owner | [R] |
size | [R] |
time | [R] |

### Public Class methods

date()

[Source]

        # File lib/rake/contrib/ftptools.rb, line 18
    18:     def self.date
    19:       @date_class ||= Date
    20:     end

new(path, entry)

[Source]

        # File lib/rake/contrib/ftptools.rb, line 26
    26:     def initialize(path, entry)
    27:       @path = path
    28:       @mode, line, @owner, @group, size, d1, d2, d3, @name = entry.split(' ')
    29:       @size = size.to_i
    30:       @time = determine_time(d1, d2, d3)
    31:     end

time()

[Source]

        # File lib/rake/contrib/ftptools.rb, line 22
    22:     def self.time
    23:       @time_class ||= Time
    24:     end

### Public Instance methods

directory?()

[Source]

        # File lib/rake/contrib/ftptools.rb, line 37
    37:     def directory?
    38:       @mode[0] == ?d
    39:     end

mode()

[Source]

        # File lib/rake/contrib/ftptools.rb, line 41
    41:     def mode
    42:       parse_mode(@mode)
    43:     end

path()

[Source]

        # File lib/rake/contrib/ftptools.rb, line 33
    33:     def path
    34:       File.join(@path, @name)
    35:     end

symlink?()

[Source]

        # File lib/rake/contrib/ftptools.rb, line 45
    45:     def symlink?
    46:       @mode[0] == ?l
    47:     end

[Validate]